/**
 * Use our generic LinkedList class in a variety of contexts
 * 
 * @author Sara Sheehan
 * @version February 23, 2016
 */
public class GenericListApp {

	public static void main(String[] args) {
		
		//----------------------------------------------------------------
		// linked list of strings
		
		LinkedList<String> courses = new LinkedList<String>();
		courses.add("CSC 212");
		courses.add("CSC 102");
		for (int i=0; i < courses.size(); i++) {
			System.out.println("Course " + i + ": " + courses.get(i));
		}
		System.out.println();
	
		//----------------------------------------------------------------
		// linked list of numbers
		
		// default constructor
		LinkedList<Double> numbersA = new LinkedList<Double>();
		
		// copy constructor
		LinkedList<Double> numbersB = new LinkedList<Double>(numbersA);
		
		numbersA.add(Math.PI);
		numbersB.add(Math.E);
		
		for (int i=0; i < numbersA.size(); i++) {
			System.out.println("NumberA " + i + ": " + numbersA.get(i));
		}
		for (int i=0; i < numbersB.size(); i++) {
			System.out.println("NumberB " + i + ": " + numbersB.get(i));
		}
		System.out.println();
		
		//----------------------------------------------------------------
		// linked list of cities
		
		LinkedList<City> cities = new LinkedList<City>();
		cities.add(new City("Northampton", 33));
		cities.add(new City("Montreal", 16));
		for (int i=0; i < cities.size(); i++) {
			System.out.println("City " + i + ": " + cities.get(i));
		}
		
		// now we can compare cities! why does this return 1?
		System.out.println(cities.get(0).compareTo(cities.get(1)));
	}	
}
